{% extends "viz0/base.html" %}
{% load static %}
{% block title %}{{term.name}} — term{% endblock title %}

{% block content %}
<div id="wrapper">
    <h1>{{term.name}}</h1>
    <div class="statement">{{term.statement}}</div>

    <div id="path-box"></div>

    {% for item in texts%}
    <div class="text-item">
        {% comment %} <h3>
            <a href="{% url 'get_text' item.text.id %}">{{item.text.title}}</a>
        </h3> {% endcomment %}
        {% for p in item.paragraphs %}
        <p>
        <div class="par-terms">
            {% for term in p.terms %}
            <div class="other-term">
                {% with strid=term.identifier_str %}
                {% with illu_url="codex_app/illus/terms-sc/term-"|add:strid|add:".png" %}
                <a href="{% url 'viz0.get_term' term.id %}">
                    <img title="{{ term.name }}" src="{% static illu_url %}" />
                </a>
                {% endwith %}
                {% endwith %}
            </div>
            {% endfor %}
        </div>
        <div class="text-content"
            data-intervals="[{% for a in p.annotations %}[{{a.start}},{{a.end}}, {{a.id}}]{%if not forloop.last %},{%endif%}{% endfor %}]">
            {{p.par.clean_content}}</div>
        </p>
        {% endfor %}
    </div>
    {% endfor %}


</div>
{% endblock %}

{% block script %}
import { main } from "{% static 'codex_app/js/viz0/term.js' %}";


window.termIlluURL = (id) => `{% static "codex_app/illus/terms/" %}term-${id}.png`

const terms = {{ terms|safe }};
const paths = {{ paths|safe }};
const annotations = {{ annotations|safe }};
main({
"app/mode": 'path',
terms,
paths,
"annotations/paragraph":annotations,
currentTerm: {{ term.id }},
'app/csrf' : "{{ csrf_token }}",
});



{% endblock %}